Release Resource
curl --request POST \
--url https://app.flowglad.com/api/v1/resource-claims/{subscriptionId}/release \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"resourceSlug": "<string>",
"quantity": 123,
"externalId": "<string>",
"externalIds": [
"<string>"
],
"claimIds": [
"<string>"
]
}
'import requests
url = "https://app.flowglad.com/api/v1/resource-claims/{subscriptionId}/release"
payload = {
"resourceSlug": "<string>",
"quantity": 123,
"externalId": "<string>",
"externalIds": ["<string>"],
"claimIds": ["<string>"]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
resourceSlug: '<string>',
quantity: 123,
externalId: '<string>',
externalIds: ['<string>'],
claimIds: ['<string>']
})
};
fetch('https://app.flowglad.com/api/v1/resource-claims/{subscriptionId}/release', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"releasedClaims": [
{
"id": "<string>",
"createdAt": 0,
"updatedAt": 0,
"livemode": true,
"organizationId": "<string>",
"resourceId": "<string>",
"subscriptionId": "<string>",
"pricingModelId": "<string>",
"externalId": "<string>",
"claimedAt": 0,
"releaseReason": "<string>",
"releasedAt": 0,
"expiredAt": 0,
"metadata": {}
}
],
"usage": {
"resourceSlug": "<string>",
"resourceId": "<string>",
"capacity": 0,
"claimed": 0,
"available": 0
}
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Resource Claims
Release Resource
Release claimed resources for a subscription. Exactly one of quantity, externalId, externalIds, or claimIds must be provided.
POST
/
api
/
v1
/
resource-claims
/
{subscriptionId}
/
release
Release Resource
Authorizations
Path Parameters
Body
application/json
The slug of the resource to release
Release N anonymous claims (FIFO order). Only releases claims without external identifiers.
Required range:
x <= 9007199254740991Release a specific named claim by its external identifier.
Maximum string length:
255Release multiple named claims by their external identifiers.
Minimum array length:
1Maximum string length:
255Release specific claims by their claim IDs (works for both anonymous and named claims).
Minimum array length:
1Was this page helpful?
⌘I